aboutsummaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
authorYann Herklotz <ymherklotz@gmail.com>2018-08-25 18:15:47 +0100
committerYann Herklotz <ymherklotz@gmail.com>2018-08-25 18:15:47 +0100
commita2f4f1a66d6fcb2733be143603b866f77fde5ca2 (patch)
tree21a5e7dd730a805a5263d4485fc740c3639a1c9b /build.sh
parent039da048d1c8531988664732edc2f0233983907a (diff)
downloadFMark-a2f4f1a66d6fcb2733be143603b866f77fde5ca2.tar.gz
FMark-a2f4f1a66d6fcb2733be143603b866f77fde5ca2.zip
Cleaning up repository
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/build.sh b/build.sh
index 147cfe4..28c48fb 100755
--- a/build.sh
+++ b/build.sh
@@ -12,7 +12,7 @@ function print_help {
echo "OPTIONS:"
echo " -b/--build Build a specific project, can be set to"
echo " fsharp, js, all, testall"
- exit 1
+ echo " -h/--help Print this help menu."
}
POSITIONAL=()
@@ -26,8 +26,13 @@ case $key in
shift # past argument
shift # past value
;;
+ -h|--help)
+ print_help
+ exit 0
+ ;;
*)
print_help
+ exit 1
;;
esac
done
@@ -38,6 +43,7 @@ fi
if [[ $BUILD != "fsharp" ]] && [[ $BUILD != "js" ]] && [[ $BUILD != "all" ]] && [[ $BUILD != "testall" ]]; then
print_help
+ exit 1
fi
echo "build set to: $BUILD"
@@ -47,7 +53,6 @@ echo ""
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
if [[ -z $TRAVIS_BUILD_DIR ]]; then
- echo "Travis not detected"
BASE_DIR=$DIR
else
echo "Running on travis-ci"
@@ -88,7 +93,6 @@ if [[ $BUILD = "all" ]] || [[ $BUILD = "js" ]]; then
cd $BASE_DIR/FMark/src/FMarkFable
dotnet restore
dotnet fable yarn-dev
- read -n1 -r -p "Press any key to continue..." key
if [[ "$?" != "0" ]]; then
exit 1
fi